POST
/api/customers.json
curl \
--request POST 'https://application.textline.com/api/customers.json' \
--header "Content-Type: application/json" \
--data '{
"customer": {
"phone_number": "(222) 222-2222",
"email": "chuck@mycompany.com",
"name": "Chuck Finley",
"notes": "some samples notes for the contact",
"tags": "foo_bar"
}
}'
Request example
{
"customer": {
"phone_number": "(222) 222-2222",
"email": "chuck@mycompany.com",
"name": "Chuck Finley",
"notes": "some samples notes for the contact",
"tags": "foo_bar"
}
}
Response examples (200)
{
"customer": {
"avatar_url": "https://example.com/image.png",
"blocked": false,
"archived": false,
"name": "Chuck Finley",
"notes": "``",
"phone_number": "(222) 222-2222",
"reachable_by_sms": true,
"tags": [
"foo",
"bar"
],
"uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
"facebook_id": "null",
"custom_fields": {
"c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "Custom_Field_1_value",
"116bad5a-6233-472d-bcf0-199d53342a82": "null"
},
"consent_status": true,
"verified": true
}
}